CVE-2024-24758

CVSS 3.1 Score 3.9 of 10 (low)

Details

Published Feb 16, 2024
Updated: Feb 20, 2024
CWE ID 200

Summary

CVE-2024-24758 is a vulnerability in Undici, an HTTP/1.1 client for Node.js. The issue involves the failure to clear Proxy-Authentication headers on cross-origin redirects, potentially exposing sensitive information. The vulnerability has been patched in versions 5.28.3 and 6.6.1 of Undici, and users are advised to upgrade to these versions to remediate the issue. There are currently no known workarounds for this vulnerability, which has a risk score of 10 out of 10 and a base severity level of LOW according to the CVSS v3.1 rating.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-24758 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options